## org.eclipse.ocl.lpg
Class ProblemHandler.Phase

    java.lang.Object
      org.eclipse.ocl.lpg.ProblemHandler.Phase

All Implemented Interfaces:
  Comparable<ProblemHandler.Phase>

Enclosing interface:
  ProblemHandler

    public static class ProblemHandler.Phase

extends Object
implements Comparable<ProblemHandler.Phase>

Standard processing phases for problem messages. This class may be extended by custom problem handlers to define additional phases in custom processes.

Since:
  1.2

Field Summary
`static ProblemHandler.Phase` `ANALYZER` Identifies problems found in the abstract syntax parsing phase.
`static ProblemHandler.Phase` `LEXER` Identifies problems found in the tokenizing (lexing) phase.
`static ProblemHandler.Phase` `PARSER` Identifies problems found in the concrete syntax parsing phase.
`static ProblemHandler.Phase` `UNPARSER` Identifies problems found in un-parsing an OCL expression or constraint.
`static ProblemHandler.Phase` `UTILITY` Identifies problems found in a utility method (not really a parsing phase).
`static ProblemHandler.Phase` `VALIDATOR` Identifies problems found in the abstract syntax validation phase.

Constructor Summary
`protected` `ProblemHandler.Phase(String lname)` Creates a new phase instance with a localized name for display in error messages.

Method Summary
`int` `compareTo(ProblemHandler.Phase o)` Phases sort according to their names.
`boolean` `equals(Object obj)` I am equal to any `Phase` that has the same localized name as I.
`int` `hashCode()` My hash code is my localized name's hash code.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### LEXER

    public static ProblemHandler.Phase LEXER

  Identifies problems found in the tokenizing (lexing) phase.

### PARSER

    public static ProblemHandler.Phase PARSER

  Identifies problems found in the concrete syntax parsing phase.

### ANALYZER

    public static ProblemHandler.Phase ANALYZER

  Identifies problems found in the abstract syntax parsing phase.

### VALIDATOR

    public static ProblemHandler.Phase VALIDATOR

  Identifies problems found in the abstract syntax validation phase.

### UTILITY

    public static ProblemHandler.Phase UTILITY

  Identifies problems found in a utility method (not really a parsing phase).

### UNPARSER

    public static ProblemHandler.Phase UNPARSER

  Identifies problems found in un-parsing an OCL expression or constraint.

Constructor Detail

### ProblemHandler.Phase

    protected ProblemHandler.Phase(String lname)

  Creates a new phase instance with a localized name for display in error messages.

  Parameters:
    `lname` - the localized name of the phase

Method Detail

### compareTo

    public final int compareTo(ProblemHandler.Phase o)

  Phases sort according to their names.

  Specified by:
    `compareTo` in interface `Comparable<ProblemHandler.Phase>`

### hashCode

    public final int hashCode()

  My hash code is my localized name's hash code.

  Overrides:
    `hashCode` in class `Object`

### equals

    public final boolean equals(Object obj)

  I am equal to any `Phase` that has the same localized name as I.

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.